var DomainUrl = top.location.hostname;
var AuthUrl = top.location.hostname;

function Trim(){
	return this.replace(/\s+$|^\s+/g,"");
}
String.prototype.Trim=Trim;

function getObjValues(id){
	if(getObjects(id).value!=undefined)
		return getObjects(id).value.Trim();
	else
		return "";
}
function getObjects(id) { 	
	if (document.getElementById) { 
		return document.getElementById(id); 
	} else if (document.all) { 
		return document.all[id]; 
	} else if (document.layers) { 
		return document.layers[id]; 
	} 
}


function createXMLHttpRequest(){
       	if (window.XMLHttpRequest) {//wwww.chshcms.com
		XMLHttpReq=new XMLHttpRequest();
	}
	else if (window.ActiveXObject) {//IE 浏览器
	     try {
			    XMLHttpReq=new ActiveXObject("Msxml2.XMLHTTP");
	     } catch (e) {
		        try{
					XMLHttpReq=new ActiveXObject("Micrsost.XMLHTTP");
				} catch(e){}
	     }
        }
}
var cache = new Array();
function getHttpObject() {
    var objType = false;
    try {
        objType = new ActiveXObject('Msxml2.XMLHTTP');
    } catch(e) {
        try {
            objType = new ActiveXObject('Microsoft.XMLHTTP');
        } catch(e) {
            objType = new XMLHttpRequest();
        }
    }
    return objType;
}

function getdoHits(_id){
  var theHttpRequest = getHttpObject();
  theHttpRequest.onreadystatechange = function() {processAJAX();};
  theHttpRequest.open("GET", ""+web_url+"skins/index/ajax.php?ac=goodbad&id="+ _id, true);
  theHttpRequest.send(null);
    function processAJAX(){
       if (theHttpRequest.readyState == 4) {
         if (theHttpRequest.status == 200) {
           document.getElementById("dcHits").innerHTML = unescape(theHttpRequest.responseText);
           } else {
           document.getElementById("dcHits").innerHTML = "您请求的页面出现异常错误";
                  }
           }
     }
}

function up_down(_id, _do){
	 createXMLHttpRequest();
	 XMLHttpReq.open("GET", ""+web_url+"skins/index/ajax.php?ac=doHits&id="+ _id +"&op="+ _do,true);
	 XMLHttpReq.onreadystatechange= function(){
		if(XMLHttpReq.readyState == 4){
			if(XMLHttpReq.status == 200){
	           	                 if(XMLHttpReq.responseText == "Err_145"){
	           	                 alert('您24小时内已顶（踩）过此舞曲！');
		                 }
                                             getdoHits(_id);
			}else alert("网络链接失败");
		}
	}
	 XMLHttpReq.send(null);
	}


function LBplay(_id){
  var theHttpRequest = getHttpObject();
  theHttpRequest.onreadystatechange = function() {processAJAX();};
  theHttpRequest.open("GET", ""+web_url+"skins/index/ajax.php?ac=lbplay&id="+_id, true);
  theHttpRequest.send(null);
    function processAJAX(){
       if (theHttpRequest.readyState == 4) {
         if (theHttpRequest.status == 200) {
           document.getElementById("LplayList").innerHTML = unescape(theHttpRequest.responseText);
           } else {
           document.getElementById("LplayList").innerHTML = "您请求的页面出现异常错误";
                  }
           }
     }
}

function getlogin(){
  var theHttpRequest = getHttpObject();
  theHttpRequest.onreadystatechange = function() {processAJAX();};
  theHttpRequest.open("GET", ""+web_url+"user/ulogin.php", true);
  theHttpRequest.send(null);
    function processAJAX(){
       if (theHttpRequest.readyState == 4) {
         if (theHttpRequest.status == 200) {
           document.getElementById("userinfo").innerHTML = unescape(theHttpRequest.responseText);
           } else {
           document.getElementById("userinfo").innerHTML = "您请求的页面出现异常错误";
                  }
           }
     }
}

function sendRequest(){
	 createXMLHttpRequest();
	 XMLHttpReq.open("GET", ""+web_url+"user/ulogin.php?action=login&name=" + escape(getObjValues("username")) + "&pwd=" +escape(getObjValues("userpass")),true);
	 XMLHttpReq.onreadystatechange= processResponse;
	 XMLHttpReq.send(null);
	 }

function goutRequest(){
	var ret;
	{ret=confirm("您是否要退出登录？");}
	if(ret!=false)
	createXMLHttpRequest();
	XMLHttpReq.open("GET", ""+web_url+"user/ulogin.php?action=logout",true);
	XMLHttpReq.onreadystatechange=getlogin;
	XMLHttpReq.send(null);  
	 }

function processResponse() {
   if (XMLHttpReq.readyState==4){
	 if(XMLHttpReq.status==200){
	           var msg=XMLHttpReq.responseText;
	           if(msg == "Err_100"){
	                     alert('用户名不允许为空！');
	           } else if(msg == "Err_101"){
	                     alert('用户名非法！');
	           } else if(msg == "Err_102"){
	                     alert('密码不允许为空！');
	           } else if(msg == "Err_103"){
	                     alert('用户名或密码错误，请重试！');
	           } else if(msg == "Err_104"){
	                     alert('对不起，此账号已被锁定！');
	           } else if(msg == "Err_105"){
                             getlogin();
	           } else {
	                     alert(unescape(msg));
	           }
	 } else {
                   alert('您请求的页面出现异常错误！');
	 }
   }
}


